cordova.define("cordova-plugin-locationsdk.LocationSdk", function(require, exports, module) {
var exec = require('cordova/exec');

var LocationSdk = (function () {
    function LocationSdk() {}
    /** Initilize the location sdk */
    LocationSdk.prototype.init = function (successCallback, errorCallback, interval) {
        exec(successCallback, errorCallback, "LocationSdk", "init", [interval]);
    };
    /** Invoke start operation */
    LocationSdk.prototype.start = function (successCallback, errorCallback, sessionInfo, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "start", [sessionInfo, shippingNoteInfos]);
    };
    /** Invoke stop operation */
    LocationSdk.prototype.stop = function (successCallback, errorCallback, sessionInfo, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "stop", [sessionInfo, shippingNoteInfos]);
    };


    /** Invoke pause operation */
    // LocationSdk.prototype.auth = function (successCallback, errorCallback) {
    //     exec(successCallback, errorCallback, "LocationSdk", "auth");
    // }
    /** Invoke pause operation */
    LocationSdk.prototype.pause = function (successCallback, errorCallback, sessionInfo, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "pause", [sessionInfo, shippingNoteInfos]);
    };
    /** Invoke restart operation */
    LocationSdk.prototype.restart = function (successCallback, errorCallback, sessionInfo, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "restart", [sessionInfo, shippingNoteInfos]);
    };


    /** 获取最新的经纬度定位信息 */
    LocationSdk.prototype.getPosition = function (successCallback, errorCallback, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "getPosition", [shippingNoteInfos]);
    };
    /** 获取最新的地区位置信息 */
    LocationSdk.prototype.getRegion = function (successCallback, errorCallback, shippingNoteInfos) {
        exec(successCallback, errorCallback, "LocationSdk", "getRegion", [shippingNoteInfos]);
    };

    return LocationSdk;
})();

module.exports = new LocationSdk();
});
